log4shib::threading::ScopedLock(3)

NAME
log4shib::threading::ScopedLock - definition of ScopedLock;

SYNOPSIS

#include <PThreads.hh>

  Public Member Functions
ScopedLock (Mutex &mutex)
~ScopedLock ()

Detailed Description

definition of ScopedLock;

Constructor & Destructor Documentation

  log4shib::threading::ScopedLock::ScopedLock (Mutex & mutex) [inline]

  log4shib::threading::ScopedLock::~ScopedLock () [inline]

Author

Generated automatically by Doxygen for log4shib from the source code.